# User-Defined Macros:
# %%define <name> <expansion>
%define Name		wmclock
%define Version		1.0.12.2
%define Release		2


Summary: dockable clock applet for Window Maker
Name: %{Name}
Version: %{Version}
Release: %{Release}
Copyright: GPL
Group: User Interface/X
URL: http://www.pobox.com/~jmknoble/WindowMaker/wmclock/
Source0: http://www.pobox.com/~jmknoble/WindowMaker/wmclock/%{Name}-%{Version}.tar.gz
Patch0: wmclock-spec.patch

BuildRoot: %{_tmppath}/%{Name}-%{Version}-%{Release}-root


%description
Wmclock is an applet which displays the date and time in a dockable
tile in the same style as the clock from the NEXTSTEP(tm) operating
system.  Wmclock is specially designed for the Window Maker window
manager, by Alfredo Kojima, and features multiple language support,
twenty-four-hour and twelve-hour (am/pm) time display, and, optionally,
can run a user-specified program on a mouse click.  Wmclock is derived
from asclock, a similar clock for the AfterStep window manager.


%prep
%setup
%patch0 -p1


%build
%configure \
	--lang english

BINDIR=%{_bindir}
export BINDIR

make 


%install

function CheckBuildRoot() {
  # do a few sanity checks on the BuildRoot
  # to make sure we don't damage a system
  case "${RPM_BUILD_ROOT}" in
    ''|' '|/|/bin|/boot|/dev|/etc|/home|/lib|/mnt|/root|/sbin|/tmp|/usr|/var)
      echo "Yikes!  Don't use '${RPM_BUILD_ROOT}' for a BuildRoot!"
      echo "The BuildRoot gets deleted when this package is rebuilt;"
      echo "something like '/tmp/build-blah' is a better choice."
      return 1
    ;;
    *) return 0
    ;;
  esac
}


function CleanBuildRoot() {
  if CheckBuildRoot; then
    rm -rf "${RPM_BUILD_ROOT}"
  else
    exit 1
  fi
}


CleanBuildRoot


for i in \
  %{_prefix} \
  %{_datadir} \
  %{_datadir}/%{Name} \
  %{_exec_prefix} \
; do
  mkdir -p "${RPM_BUILD_ROOT}${i}"
done

make DESTDIR="${RPM_BUILD_ROOT}" install
make DESTDIR="${RPM_BUILD_ROOT}" install.man
make DESTDIR="${RPM_BUILD_ROOT}" install.share


# Welcome to the FHS,.. Section 4.4.1
#
mkdir -p ${RPM_BUILD_ROOT}/usr/bin
mv  ${RPM_BUILD_ROOT}/usr/X11R6/bin/* ${RPM_BUILD_ROOT}/usr/bin
mkdir -p ${RPM_BUILD_ROOT}/usr/share/man/man1
mv  ${RPM_BUILD_ROOT}/usr/X11R6/man/man1/* ${RPM_BUILD_ROOT}/usr/share/man/man1
rm -rf ${RPM_BUILD_ROOT}/usr/X11R6


%clean

function CheckBuildRoot() {
  # do a few sanity checks on the BuildRoot
  # to make sure we don't damage a system
  case "${RPM_BUILD_ROOT}" in
    ''|' '|/|/bin|/boot|/dev|/etc|/home|/lib|/mnt|/root|/sbin|/tmp|/usr|/var)
      echo "Yikes!  Don't use '${RPM_BUILD_ROOT}' for a BuildRoot!"
      echo "The BuildRoot gets deleted when this package is rebuilt;"
      echo "something like '/tmp/build-blah' is a better choice."
      return 1
    ;;
    *) return 0
    ;;
  esac
}


function CleanBuildRoot() {
  if CheckBuildRoot; then
    rm -rf "${RPM_BUILD_ROOT}"
  else
    exit 1
  fi
}

CleanBuildRoot

%files
%attr(-   ,root,root) %doc COPYING ChangeLog INSTALL README
%attr(0755,root,root) %{_bindir}/wmclock
%attr(0755,root,root) %{_mandir}/man1/wmclock.1*
%attr(0755,root,root) %dir %{_datadir}/wmclock
%attr(-   ,root,root) %{_datadir}/wmclock/*

%changelog
* Thu Feb 14 2002 Philip Copeland <bryce@redhat.com>
- Tweaked for the RHAT build system
